Package org.apache.ignite.mxbean

## Interface SnapshotMXBean

All Known Implementing Classes:
  `SnapshotMXBeanImpl`

    @Deprecated
    @MXBeanDescription("MBean that provides access for snapshot features.")
    public interface SnapshotMXBean

Deprecated.
Use managements API beans, instead.
Snapshot features MBean.

See Also:
  `CommandMBean`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `cancelSnapshot​(String snpName)` Deprecated. Use `cancelSnapshotOperation(String)` instead.
`void` `cancelSnapshotOperation​(String reqId)` Deprecated. Cancel previously started snapshot operation.
`void` `cancelSnapshotRestore​(String name)` Deprecated. Use `cancelSnapshotOperation(String)` instead.
`void` `createIncrementalSnapshot​(String fullSnapshot, String fullSnapshotPath)` Deprecated. Create the cluster-wide incremental snapshot for the given full snapshot.
`void` `createSnapshot​(String snpName, String snpPath)` Deprecated. Create the cluster-wide snapshot with given name asynchronously.
`void` `restoreSnapshot​(String name, String path, String cacheGroupNames)` Deprecated. Restore cluster-wide snapshot.
`void` `restoreSnapshot​(String name, String path, String cacheGroupNames, int incIdx)` Deprecated. Restore cluster-wide snapshot and its increments.
`String` `status()` Deprecated. Get the status of the current snapshot operation in the cluster.

### Method Detail

#### createSnapshot

    @MXBeanDescription("Create cluster-wide snapshot.")
    void createSnapshot​(@MXBeanParameter(name="snpName",description="Snapshot name.")
                        String snpName,
                        @MXBeanParameter(name="snpPath",description="Optional snapshot directory path.")
                        String snpPath)

Deprecated.
Create the cluster-wide snapshot with given name asynchronously.

Parameters:
  `snpName` - Snapshot name to be created.
  `snpPath` - Snapshot directory path.
See Also:
  `(String)`

#### createIncrementalSnapshot

    void createIncrementalSnapshot​(@MXBeanParameter(name="fullSnapshot",description="Snapshot name.")
                                   String fullSnapshot,
                                   @MXBeanParameter(name="fullSnapshotPath",description="Optional snapshot directory path.")
                                   String fullSnapshotPath)

Deprecated.
Create the cluster-wide incremental snapshot for the given full snapshot.

Parameters:
  `fullSnapshot` - Full snapshot name to attach incremental snapshot to.
  `fullSnapshotPath` - Full snapshot directory path.
See Also:
  `IgniteSnapshot.createSnapshot(String)`, `IgniteSnapshot.createIncrementalSnapshot(String)`

#### cancelSnapshot

    @MXBeanDescription("Cancel started cluster-wide snapshot on the node initiator.")
    @Deprecated
    void cancelSnapshot​(@MXBeanParameter(name="snpName",description="Snapshot name.")
                        String snpName)

Deprecated.
Use `cancelSnapshotOperation(String)` instead.
Cancel previously started snapshot operation on the node initiator.

Parameters:
  `snpName` - Snapshot name to cancel.

#### cancelSnapshotOperation

    @MXBeanDescription("Cancel started cluster-wide snapshot operation.")
    void cancelSnapshotOperation​(@MXBeanParameter(name="requestId",description="Snapshot operation request ID.")
                                 String reqId)

Deprecated.
Cancel previously started snapshot operation.

Parameters:
  `reqId` - Snapshot operation request ID.

#### restoreSnapshot

    @MXBeanDescription("Restore cluster-wide snapshot.")
    void restoreSnapshot​(@MXBeanParameter(name="snpName",description="Snapshot name.")
                         String name,
                         @MXBeanParameter(name="snpPath",description="Optional snapshot directory path.")
                         String path,
                         @MXBeanParameter(name="cacheGroupNames",description="Optional comma-separated list of cache group names.")
                         String cacheGroupNames)

Deprecated.
Restore cluster-wide snapshot.

Parameters:
  `name` - Snapshot name.
  `path` - Snapshot directory path.
  `cacheGroupNames` - Optional comma-separated list of cache group names.
See Also:
  `IgniteSnapshot.restoreSnapshot(String, Collection)`

#### restoreSnapshot

    @MXBeanDescription("Restore cluster-wide snapshot and its increments.")
    void restoreSnapshot​(@MXBeanParameter(name="snpName",description="Snapshot name.")
                         String name,
                         @MXBeanParameter(name="snpPath",description="Optional snapshot directory path.")
                         String path,
                         @MXBeanParameter(name="cacheGroupNames",description="Optional comma-separated list of cache group names.")
                         String cacheGroupNames,
                         @MXBeanParameter(name="incIdx",description="Incremental snapshot index.")
                         int incIdx)

Deprecated.
Restore cluster-wide snapshot and its increments. Snapshot is restored first and after that all increments are restored sequentially from the `1` to the specified `incIdx`.

Parameters:
  `name` - Snapshot name.
  `path` - Snapshot directory path.
  `cacheGroupNames` - Optional comma-separated list of cache group names.
  `incIdx` - Incremental snapshot index.
See Also:
  `IgniteSnapshot.restoreSnapshot(String, Collection)`

#### cancelSnapshotRestore

    @MXBeanDescription("Cancel previously started snapshot restore operation.")
    @Deprecated
    void cancelSnapshotRestore​(@MXBeanParameter(name="snpName",description="Snapshot name.")
                               String name)

Deprecated.
Use `cancelSnapshotOperation(String)` instead.
Cancel previously started snapshot restore operation.

Parameters:
  `name` - Snapshot name.
See Also:
  `IgniteSnapshot.cancelSnapshotRestore(String)`

#### status

    @MXBeanDescription("The status of a current snapshot operation in the cluster.")
    String status()

Deprecated.
Get the status of the current snapshot operation in the cluster.

Returns:
  The status of a current snapshot operation in the cluster.